lepton-symfix(1)

NAME
lepton-symfix - automatically fix common issues with Lepton EDA symbols

SYNOPSIS
lepton-symfix [ options ] symbol_file

DESCRIPTION
lepton-symfix reads a Lepton EDA symbol file and does the following:

•   prints a warning if there is no pinnumber attribute on a pin;

•   Renumbers pinseq attributes on all pins, starting with 1;

•   Adds a pinseq attribute to a pin if none exists;

•   Adds a pinlabel=n_a attribute to a pin if none exists;

•   Adds a pintype=io attribute to a pin if none exists;

•   Adds a numslots=0 attribute to the symbol if none exists;

•   Adds a device=XXX attribute to the symbol if none exists;

•   Adds a footprint=XXX attribute to the symbol if none exists.

The idea here is to fix common cut-and-paste issues and fix up the symbol so that it will pass lepton-symcheck(1) with no errors or warnings.

OPTIONS
lepton-symfix accepts the following options:

-h, --help
    Displays this help message.

--verbose
    Enables verbose output.

--vverbose
    Enables *very* verbose output.

--version
    Shows the version of this program.

AUTHOR
Mike Skerritt <mike@acornpacket.com>.

SEE ALSO
lepton-schematic(1), lepton-symcheck(1)

COPYRIGHT
Copyright © 2012-2014 gEDA Contributors.
Copyright © 2017-2022 Lepton EDA Contributors.
License GPLv2+: GNU GPL version 2 or later. Please see the `COPYING'
file included with this program for full details.

This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.